<?php

require("class.FastTemplate.php4"); 

function pageStart($docpath,
                   $title = '',
                   $smallTitle = '',
                   $visibleTitle = '') { 
    GLOBAL $tpl; 
    $tpl = new FastTemplate('./tpl'); 
    $tpl->define( array (
        header        => "header.tpl",
        headervisible => "headervisible.tpl",
        meat          => "meat.tpl",
        footer        => "footer.tpl"
    ));

    $tpl->assign( array ( 
        TITLE       => $title,
        SMALL_TITLE => $smallTitle,
        VISIBLE_TITLE  => $visibleTitle,
        KEYWORDS    => "",
        DESCRIPTION => "",
        STYLECSS    => "style.css",
        AUTHOR      => "Clifford Escobar CAOILE",
        HOME_URL    => "http://home.att.ne.jp/orange/piyokun/gaming/",
        EMAIL       => "piyokun@email.com",
        TONE2       => "#003366"
    ));

    ob_start(); 

    include("inc/leftbar.inc");
    GLOBAL $internal;
    $internal = sidebarContents($docpath);
}

function pageFinish() { 
  GLOBAL $tpl; 
  GLOBAL $internal;
  GLOBAL $time_stamp; 
  $main_content = ob_get_contents(); 
  ob_end_clean();

$tpl->assign( array(
    TIME_STAMP => $time_stamp,
    INTERNAL_LINKS => $internal,   // must be defined after here document
    MAIN_CONTENT => $main_content, // must be defined after here document
));

// parsing
$tpl->parse(HEAD, "header");
$tpl->parse(HEAD_VISIBLE, "headervisible");
$tpl->parse(MEAT, "meat");
$tpl->parse(FOOT, "footer");

// printing
$tpl->FastPrint("HEAD");
$tpl->FastPrint("HEAD_VISIBLE");
$tpl->FastPrint("MEAT");
$tpl->FastPrint("FOOT");

}

?>